- [HTTP request](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.request_body)
- [Response body](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.response_body)
  - [JSON representation](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.ListNotesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#body.aspect)
- [Try it!](https://firebase.google.com/docs/reference/crashlytics/rest/v1alpha/projects.apps.issues.notes/list.md.txt#try-it)

List all notes for a certain issue, sorted in descending order by timestamp.

### HTTP request

`GET https://firebasecrashlytics.googleapis.com/v1alpha/{parent=projects/*/apps/*/issues/*}/notes`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The issue the notes belongs to. Format: "projects/{project}/apps/{app}/issues/{issue}". |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of notes per page. If omitted, defaults to 10. |
| `pageToken` | `string` Optional. A page token, received from a previous calls. |

### Request body

The request body must be empty.

### Response body

Response message for the notes.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "notes": [ { object (`Note`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `notes[]` | ``object (`Note`)`` Returns notes ordered descending by the timestamp. |
| `nextPageToken` | `string` A pagination token to retrieve the next page of notes. If this field is not present, there are no subsequent notes. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/firebase`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).